<?php

  if( $Debug == 1 ){
    echo "View Tienda";
  }

  $FechaHoy       = date('Y-m-d H:i:s');

  $debugin        = $decoded['debug'];
  $usr_id         = $decoded['usr_id'];
  $fechahoy       = date('Y-m-d');

  if( $debugin == 1 ){

    echo "Debug-in\n";
    echo $usr_id."\n";
    echo $tie_id."\n";

  }

  $Where = "
    WHERE
      pro.Id != '0'
      AND pro.fechalimite >= '$fechahoy'
  ";

  //Prmos
  $Query = "
    SELECT
      pro.id,
      pro.fechainicio, pro.fechalimite,
      pro.nombre, pro.descripcion_corta, pro.descripcion_larga,
      pro.precio,
      pro.contacto_whatsapp, pro.contacto_telefono, pro.contacto_email
    FROM promociones pro
    $Where
  ";
  $Pros = $mysqli->query($Query);
  mysqli_data_seek($Pros, 0);
  if( $Pros->num_rows >= 1 ){
    while($Pro = mysqli_fetch_array($Pros)) {

      $Articulos = NULL;
      $Url_Img    = $UrlRoot."/promos/".$Pro[id].".jpg";
      $Url_Img_In = $UrlRoot."/promos/".$Pro[id].".jpg";

      //Articulos de la Promocion
      $Query = "
        SELECT
          proart.id,
          proart.cantidad,
          art.id AS artid, art.nombre, art.descripcion,
          artemp.cantidad_articulo,
          emp.empaque
        FROM promociones_articulos proart
        LEFT JOIN articulos art ON art.id = proart.fk_articulo
        LEFT JOIN articulos_empaques artemp ON artemp.id = proart.fk_empaque
        LEFT JOIN cat_empaques emp ON emp.id = artemp.fk_empaque
        WHERE
          proart.fk_promocion = '$Pro[id]'
      ";
      $Arts = $mysqli->query($Query);
      mysqli_data_seek($Arts, 0);
      while($Art = mysqli_fetch_array($Arts)) {

        $Articulos[] = array(
          'art_id'                      => $Art[artid],
          'nombre'                      => $Art[nombre],
          'descripcion'                 => $Art[descripcion],
          'cantidad_articulo_empaque'   => $Art[cantidad_articulo],
          'empaque'                     => $Art[empaque],
          'cantidad'                    => $Art[cantidad]
        );

      }

      $Prmos[] = array(
        'id'                  => $Pro[id],
        'url_img'             => $Url_Img,
        'url_img_in'          => $Url_Img_In,
        'fecha_inicio'        => $Pro[fechainicio],
        'fecha_limite'        => $Pro[fechalimite],
        'nombre'              => $Pro[nombre],
        'descripcion_corta'   => $Pro[descripcion_corta],
        'descripcion_larga'   => $Pro[descripcion_larga],
        'precio'              => $Pro[precio],
        'contacto_whatsapp'   => $Pro[contacto_whatsapp],
        'contacto_telefono'   => $Pro[contacto_telefono],
        'contacto_email'      => $Pro[contacto_email],
        'articulos'           => $Articulos
      );

    }

    $Data = array(
      'prmos'   => $Prmos
    );
    echo json_encode($Data, JSON_UNESCAPED_SLASHES | JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT);

  }else{

    $Data = array(
      'action' => 'error',
      'error_msn' => 'No hay promociónes en este momento.'
    );
    echo json_encode($Data, JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT);

  }

?>
